.PHONY: build
build:
	# Build Docker image
	docker build -t milksad-distrust-co .

.PHONY: fullclean
fullclean: clean
	docker rmi milksad-distrust-co -f
	docker image prune --filter label=stage=distrust-co-builder

.PHONY: clean
clean:
	rm -r _site

_site: build
	rm -rf _site
	mkdir -p _site
	docker run milksad-distrust-co tar c -C /usr/share/nginx/html . | tar x -C _site

.PHONY: serve
serve: build
	# Run Docker container with listener for current dir and port mapping
	docker run --rm -p 0.0.0.0:4000:80 -it milksad-distrust-co

.PHONY: build-dev
build-dev:
	# Build Docker image
	docker build --target builder -t dev-milksad-distrust-co .

.PHONY: dev
dev: build-dev
	docker run --rm --expose 4000 -p 127.0.0.1:4000:4000 -v ${PWD}:/home -it dev-milksad-distrust-co jekyll serve -H 0.0.0.0
